import request from '@/utils/request'

// 查询成绩列表
export function listData(query) {
  return request({
    url: '/score/data/list',
    method: 'get',
    params: query
  })
}

// 查询成绩详细
export function getData(data) {
  return request({
    url: '/score/data/query',
    method: 'post',
	data: data
  })
}

// 新增成绩
export function addData(data) {
  return request({
    url: '/score/data/add',
    method: 'post',
    data: data
  })
}

// 修改成绩
export function updateData(data) {
  return request({
    url: '/score/data/put',
    method: 'post',
    data: data
  })
}

// 删除成绩
export function delData(scoreId) {
  return request({
    url: '/score/data/delete/' + scoreId,
    method: 'get'
  })
}